
double[] t;
double[] x;
double[] v;
double[] phi;
double[] omega;
public void setup()
{
    String[] s = loadStrings("out.txt");
    int anz = s.length/5;
    t = new double[anz];
    x = new double[anz];
    v = new double[anz];
    phi = new double[anz];
    omega = new double[anz];
    for(int i=0;i<anz;i++)
    {
          t[i] = Double.parseDouble(s[i]);
          x[i] = Double.parseDouble(s[i+anz]);
          v[i] = Double.parseDouble(s[i+anz*2]);
          phi[i] = Double.parseDouble(s[i+anz*3]);
          omega[i] = Double.parseDouble(s[i+anz*4]);
    }
    size(500,500);
    frameRate(60);
}

int index = 0;

public void draw()
{
    background(0);
    stroke(255);
    float FAKTOR = 30.0f;
    float l = 2.0f;
    float pp = (float)phi[index];
    float x1 = (float)x[index];
    float y1 = 0.0;
    float x2 = x1 + cos(pp)*l;  
    float y2 = sin(pp)*l;
    //println(x1+" "+y1+" "+x2+" "+y2);
    line(FAKTOR*x1+width/2,height/2-FAKTOR*y1,FAKTOR*x2+width/2,height/2-FAKTOR*y2);
    
    index++;
    index%=t.length;
}